/* by Luis Figueiredo (stdio@netc.pt)
 *
 * file: web_outgif.h
 *
 * description: output gif
 *
 * date: 20:57,13-57-2002
 */

#ifndef _WEB_OUTGIF_H_ 
#define _WEB_OUTGIF_H_

#include <stdio.h>
#include <string.h>

#include "debug.h"

#undef PARM
#ifdef __STDC__
#  define PARM(a) a
#else
#  define PARM(a) ()
#  define const
#endif

/* MONO returns total intensity of r,g,b triple (i = .33R + .5G + .17B) */
#define MONO(rd,gn,bl) ( ((int)(rd)*11 + (int)(gn)*16 + (int)(bl)*5) >> 5)

typedef long int        count_int;


int WriteGIF(FILE *, unsigned char *, int, int, unsigned char *, unsigned char *, unsigned char *, int, int, char *);

#endif
