/* by Luis Figueiredo (stdio@netc.pt)
 *
 *
 * date: Sat Mar 30 14:25:25 GMT 2002 
 *
 *  memory functions
 */

#ifndef _OUTSTREAM_H_
#define _OUTSTREAM_H_

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "debug.h"
#include "memory.h"





struct outstream {
	FILE *fstream;
	int wsize,rsize;
	struct outstream *next;
};
int add_outstream(struct outstream *, FILE *);
struct outstream *init_outstream_list();
void delete_next_outstream(struct outstream *);
void delete_outstream_list(struct outstream *);
void delete_outstream(struct outstream *);
#endif
