/* by Luis Figueiredo (stdio@netc.pt)
 *
 * file: utils.h
 *
 * description: Header
 *
 * date: 19:50,07-50-2002
 */

#ifndef _UTILS_H_ 
#define _UTILS_H_

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif         

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <ctype.h>

#ifdef TM_IN_SYS_TIME
#include <sys/time.h>
#else
#include <time.h>
#endif

#include "debug.h"
#include "memory.h"

#ifdef WIN32
	int strncasecmp(const char *, const char *,unsigned int); // WIN32 doesn't have this, linux have (TODO)
#endif
char *strcasestr(char *, const char *);
int base64decode(char *, const char *);
char *mydate(const char *);

#endif
