/* by Luis Figueiredo (stdio@netc.pt)
 *
 *
 * date: Sat Mar 30 14:44:42 GMT 2002
 *
 *
 * --
 *
 */



#include "gethandler.h"




struct gethandler *init_handler_list() {
	struct gethandler *ret;
	IFDEBUG(fprintf(stderr,"gethandler.c: (allocating head node gethandler list: ");fflush(stderr);); // REMOVE
	ret=mymalloc(sizeof(struct gethandler));
	if(ret==NULL) {
		fprintf(stderr,"gethandler.c: not enough mem to allocate head node\n");
		return NULL;
	};
	ret->next=NULL;
	ret->func=NULL;
	ret->flag=0;
	ret->str="first";
	return ret;
}


/* web server operations
 *
 *
 */
int add_handler(struct gethandler *handler,const char *mstr,void (*func)(),int flag) {
        struct gethandler *temp=handler;
        while(temp->next!=NULL)temp=temp->next;
	IFDEBUG(fprintf(stderr,"gethandler.c: (allocating gethandler): ");fflush(stderr);); // REMOVE
        temp->next=mymalloc(sizeof(struct gethandler));
	if(temp->next==NULL) {
		fprintf(stderr,"gethandler.c: Not enough mem to allocate a new node\n");
		return 0;
	};
	IFDEBUG(fprintf(stderr,"gethandler.c: (allocating gethandler->str): ");fflush(stderr);); // REMOVE
        temp->next->str=mymalloc(strlen(mstr)+1);
	if(temp->next->str==NULL) {
		fprintf(stderr,"gethandler.c: not enough mem to allocate node str handler\n");
		return 0;
	};
        memcpy(temp->next->str,mstr,strlen(mstr));
        temp->next->str[strlen(mstr)]='\0';
        temp->next->func=func;
	temp->next->flag=flag;
        temp->next->next=NULL;
        return 1;
}                         
