/* by Luis Figueiredo (stdio@netc.pt)
 *
 *
 * date: Sat Mar 30 14:44:42 GMT 2002
 *
 *
 * --
 *
 */


#include "socket.h"


/*
 * socket operations
 */
int newdata(int sock) {
	int ret;
	struct timeval tv;
	fd_set rfds;
	FD_ZERO(&rfds);
	FD_SET((unsigned)sock,&rfds);
	tv.tv_usec=5;
	tv.tv_sec=0;
	ret=select(sock+1,&rfds,NULL,NULL,&tv);
	FD_CLR((unsigned)sock,&rfds);
	return ret;
}                                                                                                                             


int listensocket(short port, int saddr) {
	struct sockaddr_in sa;
	int ret;
	sa.sin_addr.s_addr=saddr;
	sa.sin_port=htons((short)port);
	sa.sin_family=AF_INET;
	ret=socket(AF_INET,SOCK_STREAM,6);
	if(ret==-1) {
		return -1;
	};
	if(bind(ret,(struct sockaddr *)&sa,sizeof(sa))==-1) {
		return -1;
	};

	if(listen(ret,5)==-1) {
		return -1;
	};
	IFDEBUG(fprintf(stderr,"socket.c: Listen on port %d\n",port));
	return ret;
}

int myread(int sock,void *buf,size_t s) {
	int ret;	
	ret=recv(sock,buf,s,0); 
	IFDEBUG(fprintf(stderr,"socket.c: %d bytes readed\n",ret));
	return ret;
}

